Bug 483438 - (libindi) Review Request: libindi - Instrument Neutral Distributed Interface
Review Request: libindi - Instrument Neutral Distributed Interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On: libfli
Blocks: 478539
  Show dependency treegraph
 
Reported: 2009-02-01 06:09 EST by Sergio Pascual
Modified: 2014-12-01 13:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 14:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
LIB_SUFFIX patch (865 bytes, patch)
2009-02-04 09:12 EST, Jaroslav Reznik
no flags Details | Diff

  None (edit)
Description Sergio Pascual 2009-02-01 06:09:20 EST
Spec URL: http://sergiopr.fedorapeople.org/libindi.spec
SRPM URL: http://sergiopr.fedorapeople.org/libindi-0.6-1.src.rpm
Description: INDI is a distributed control protocol designed to operate
astronomical instrumentation. INDI is small, flexible, easy to parse,
and scalable. It supports common DCS functions such as remote control,
data acquisition, monitoring, and a lot more.
Comment 1 Jaroslav Reznik 2009-02-04 09:12:05 EST
Created attachment 330864 [details]
LIB_SUFFIX patch

Same style patch as for libfli.
Comment 2 Jaroslav Reznik 2009-02-04 09:48:15 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f10 / x86_64
 [!] Rpmlint output: not clean
     - libindi.src: W: strange-permission libindi0_0.6.tar.gz 0400
     - libindi.x86_64: W: shared-lib-calls-exit /usr/lib64/libindi.so.0.6 exit@GLIBC_2.2.5
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2+ and GPLv2+

 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
     - Tarball includes licenses in its own file only for LGPL, not GPL. As GPL 
       is stated in right sources I don't think this is blocker but should be
       better to ask upstream.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).

 [!] Package consistently uses macros.
     - Please do not use %{__ macros and use only <command>, I talked to RPM
       developer and FESCo member and they do not like it. But this is not
       a blocker, feel free to select one consistent style.

 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [?] Reviewer should test that the package builds in koji.
     - libfli not in koji
 [?] Package should compile and build into binary rpms on all supported
architectures.
     - libfli not in koji
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===
- Clean rpmlint output
- Ask upstream about licenses
- Check macros
- Check in Koji once libfli is in
Comment 3 Jaroslav Reznik 2009-02-06 08:08:15 EST
As Kevin Kofler mentioned in libfli review - please add %{?dist} tag to release. 

Koji build (dist-f11) - OK
Comment 4 Sergio Pascual 2009-02-06 10:21:41 EST
Spec URL: http://sergiopr.fedorapeople.org/libindi.spec
SRPM URL: http://sergiopr.fedorapeople.org/libindi-0.6-2.src.rpm

I have filled a pair of bugs about library calling exit and the missing GPLv2 license. I'm using commands instead of macros now.
Comment 5 Jaroslav Reznik 2009-02-06 10:32:48 EST
(In reply to comment #4)
> Spec URL: http://sergiopr.fedorapeople.org/libindi.spec
> SRPM URL: http://sergiopr.fedorapeople.org/libindi-0.6-2.src.rpm
> 
> I have filled a pair of bugs about library calling exit and the missing GPLv2
> license. I'm using commands instead of macros now.

Source RPM does not exist - 404.
Comment 6 Sergio Pascual 2009-02-06 10:56:36 EST
Spec URL: http://sergiopr.fedorapeople.org/libindi.spec
SRPM URL: http://sergiopr.fedorapeople.org/libindi-0.6-2.fc10.src.rpm

Upss! the dist tag was missing
Comment 7 Jaroslav Reznik 2009-02-06 11:59:25 EST
Ok, thanks. It's OK for me now - as it's blocker for kde42, we can deal with these issues later once upstream fixes it.

APPROVED
Comment 8 Sergio Pascual 2009-02-07 08:56:43 EST
New Package CVS Request
=======================
Package Name: libindi
Short Description: Instrument Neutral Distributed Interface
Owners: sergiopr
Branches: F-10 F-9
InitialCC:
Comment 9 Kevin Fenzi 2009-02-08 16:43:02 EST
cvs done.
Comment 10 Christian Dersch 2014-06-03 04:41:29 EDT
Package Change Request
======================
Package Name: libindi
New Branches: epel7
Owners: lupinix
InitialCC: lupinix

Want to have this package in EPEL7 :)
Comment 11 Gwyn Ciesla 2014-12-01 13:18:11 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.